The update from 2.1.0. to 2.2.0 is no longer working, I am getting this message "Download failed. Unauthorized", perhaps the correct file permission...